org.apache.ignite.internal.cache.query.index.sorted.defragmentation

## Class DefragIndexFactory.DefragIndexRowImpl

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.IndexRowImpl
  - - org.apache.ignite.internal.cache.query.index.sorted.defragmentation.DefragIndexFactory.DefragIndexRowImpl

All Implemented Interfaces:
  IndexRow, MvccVersionAware

Enclosing class:
  DefragIndexFactory

    public static class DefragIndexFactory.DefragIndexRowImpl
    extends IndexRowImpl

IndexRowImpl with index values stored in a byte array.

### Constructor Summary

Constructors
Constructor and Description
`DefragIndexRowImpl(InlineIndexRowHandler rowHnd, CacheDataRow row, byte[] values)`

### Method Summary

All Methods Static Methods Concrete Methods
`static DefragIndexFactory.DefragIndexRowImpl` `create(InlineIndexRowHandler rowHnd, long newLink, DefragIndexFactory.DefragIndexRowImpl oldValue, boolean storeMvcc)`

### Methods inherited from class org.apache.ignite.internal.cache.query.index.sorted.IndexRowImpl

`cacheDataRow, cacheId, indexPlainRow, key, keysCount, link, mvccCoordinatorVersion, mvccCounter, mvccOperationCounter, mvccTxState, prepareCache, rowHandler, toString, value`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccVersionAware

`mvccVersion, mvccVersion, mvccVersion, mvccVersion`

### Constructor Detail

#### DefragIndexRowImpl

    public DefragIndexRowImpl(InlineIndexRowHandler rowHnd,
                              CacheDataRow row,
                              byte[] values)

### Method Detail

#### create

    public static DefragIndexFactory.DefragIndexRowImpl create(InlineIndexRowHandler rowHnd,
                                                               long newLink,
                                                               DefragIndexFactory.DefragIndexRowImpl oldValue,
                                                               boolean storeMvcc)

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023